Bug 3309 - globusrun-ws usage message incorrect
: globusrun-ws usage message incorrect
Status: RESOLVED FIXED
: GRAM
wsrf gram clients
: 4.0.0
: PC Linux
: P3 trivial
: 4.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-05-09 06:23 by
Modified: 2005-08-03 16:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-09 06:23:30
globusrun-ws command does not recognize options "-streaming-out" and "-
streaming-err" even though the command usage prints them out as valid options. 
The command works fine if one uses "-stdout-file" and "-stderr-file" instead 
of "-streaming-out" and "-streaming-err" respectively.
The usage message(for "-submit") needs to be modified accordingly.


-------------------------------------------------------------------------
$ globusrun-ws -monitor -job-epr-file jobepr.xml -streaming -streaming-out 
cusstout -streaming-err cussterr -quiet

Error, argument #5 (-streaming-out) : unknown option

Syntax : globusrun-ws -monitor -job-epr-file <filename>
   [-quiet] [-no-cleanup]
   [-streaming [-streaming-out <filename>] [-streaming-err <filename>]]
   [-host-authz | -self-authz | -subject-authz <subject name>]
   [-private] [-http-timeout <milliseconds>] [-debug]
   [-allow-ipv6] [-passive] [-nodcau]


Use -help to display full usage.
$
-------------------------------------------------------------------------

-------------------------------------------------------------------------
$ globusrun-ws -usage -submit
globusrun-ws -submit
   [-batch] [-quiet] [-no-cleanup]
   [-streaming [-streaming-out <filename>] [-streaming-err <filename>]]
   [-host-authz | -self-authz | -subject-authz <subject name>]
   [-private] [-http-timeout <milliseconds>] [-debug]
   [-allow-ipv6] [-passive] [-nodcau]
   [-factory-epr-file <filename> |
       [-factory <contact>] [-factory-type <type>]]
   [-submission-id <uuid> | -submission-id-file <filename>]
   [-submission-id-output-file <filename>] [-job-epr-output-file <filename>]
   [-job-delegate] [-staging-delegate]
   [-print-fault-type | -pft ]
   [-job-credential-file <filename>] [-staging-credential-file <filename>]
       [-transfer-credential-file <filename>]
   [-termination +<HH:MM>|<mm/dd/yyyy HH:MM>]
   -job-description-file <filename> | -job-command [--] <program> [arg ...]
$
-------------------------------------------------------------------------
------- Comment #1 From 2005-05-09 06:33:06 -------
information messages to be changed for
-usage -submit
-usage -monitor
------- Comment #2 From 2005-05-10 08:27:47 -------
I committed a fix to our CVS.